SF.net SVN: gar:[22713] csw/mgar/pkg/tor/trunk

jake_goerzen at users.sourceforge.net jake_goerzen at users.sourceforge.net
Thu Dec 19 18:38:27 CET 2013


Revision: 22713
          http://sourceforge.net/p/gar/code/22713
Author:   jake_goerzen
Date:     2013-12-19 17:38:27 +0000 (Thu, 19 Dec 2013)
Log Message:
-----------
tor: work towards adding SMF integration

Modified Paths:
--------------
    csw/mgar/pkg/tor/trunk/Makefile

Added Paths:
-----------
    csw/mgar/pkg/tor/trunk/files/README.CSW
    csw/mgar/pkg/tor/trunk/files/cswtor

Modified: csw/mgar/pkg/tor/trunk/Makefile
===================================================================
--- csw/mgar/pkg/tor/trunk/Makefile	2013-12-19 16:10:58 UTC (rev 22712)
+++ csw/mgar/pkg/tor/trunk/Makefile	2013-12-19 17:38:27 UTC (rev 22713)
@@ -1,10 +1,15 @@
 # $Id$
+# TODO: need to create smf start/stop script.
+#	add "PidFile /var/run/tor.pid" to torrc.CSW sample conf.
+#	also add "Log syslog" to torrc.CSW sample conf.
+#	also add "RunAsDaemon 1" to torrc.CSW.
 NAME = tor
 VERSION = 0.2.4.19
 GARTYPE = v2
 
 DESCRIPTION = Secure network traffic router
 define BLURB
+Basically tor provides a distributed network of servers (onion routers). Users bounce their TCP streams (web traffic, ftp, ssh, etc) around the routers, and recipients, observers, and even the routers themselves have difficulty tracking the source of the stream.
 endef
 
 MASTER_SITES = http://www.torproject.org/dist/
@@ -31,6 +36,8 @@
 MIGRATE_FILES += tor/tor-tsocks.conf
 MIGRATE_FILES += tor/torrc
 
+INITSMF = /etc/opt/csw/init.d/cswtor
+
 PACKAGING_PLATFORMS = solaris10-sparc solaris10-i386
 
 include gar/category.mk

Added: csw/mgar/pkg/tor/trunk/files/README.CSW
===================================================================
--- csw/mgar/pkg/tor/trunk/files/README.CSW	                        (rev 0)
+++ csw/mgar/pkg/tor/trunk/files/README.CSW	2013-12-19 17:38:27 UTC (rev 22713)
@@ -0,0 +1,3 @@
+NOTE: This is a system level instance of Tor which may not be the most secure way to implement Tor.  You should read the Tor documentation and understand the security implications of running a system level Tor before depending on this method for anonymity.
+
+https://www.torproject.org/docs/documentation.html

Added: csw/mgar/pkg/tor/trunk/files/cswtor
===================================================================
--- csw/mgar/pkg/tor/trunk/files/cswtor	                        (rev 0)
+++ csw/mgar/pkg/tor/trunk/files/cswtor	2013-12-19 17:38:27 UTC (rev 22713)
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+#FMRI network
+
+DAEMON=/opt/csw/bin/tor
+CONF=/etc/opt/csw/tor/torrc
+pidfile=/var/run/tor.pid
+
+case "$1" in
+  start)
+    echo "Starting Tor"
+    $DAEMON -f $CONF
+    ;;
+  stop)
+    echo "Stopping Tor"
+    kill `cat $pidfile`
+    ;;
+  restart)
+    echo "Restarting Tor"
+    kill `cat $pidfile`
+    sleep 1
+    $DAEMON -f $CONF
+    ;;
+  *)
+    echo "Usage: $0 { start | stop | restart }"
+    exit 1
+    ;;
+esac
+
+exit 0

This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list